import { Link } from "@onegeo-suite/gatsby-theme-onegeo"
import React from "react"
import Image, { Iimage } from "./Image"
import { twMerge } from "tailwind-merge"

interface Ilogo extends Iimage {
    url?: string
    src?: string
    title?: string
    image?: any
    className?: string
    options: any
}

const Logo = (props: Ilogo) => {
    const { url, title, image, className } = props

    const options = props.options ?? {}
    const oClass = options.class || {}

    return (
        <>
            <div
                className={twMerge(
                    "flex flex-col items-center justify-center",
                    oClass.main
                )}
            >
                {url ? (
                    <Link to={url} className="">
                        <Image
                            image={image}
                            className={twMerge(className, oClass.image)}
                        />
                    </Link>
                ) : (
                    <Image
                        image={image}
                        className={twMerge(className, oClass.image)}
                    />
                )}
            </div>
            {title && (
                <div className={twMerge("mt-2 text-xs", oClass.title)}>
                    {title}
                </div>
            )}
        </>
    )
}

export default Logo
